/*
 * Tapioca XMPP Plugin
 * Copyright (c) 2005 INdT.
 * @author Andre Moreira Magalhaes <andre.magalhaes@indt.org.br> 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __XMPP_THREAD_C_H__
#define __XMPP_THREAD_C_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef void* xmpp_thread_t;

xmpp_thread_t xmpp_thread_new                 (void);
void          xmpp_thread_start               (xmpp_thread_t thread);
void          xmpp_thread_manager_set_current (xmpp_thread_t thread);
void          xmpp_thread_loop                (xmpp_thread_t thread, int cms);

#ifdef __cplusplus
}
#endif

#endif
