/*
 * Tapioca XMPP Plugin
 * Copyright (c) 2005 INdT.
 * @author Andre Moreira Magalhaes <andre.magalhaes@indt.org.br> 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "xmpp_call_session_client_c.h"
#include "xmpp_call_session_client.h"

xmpp_call_t
xmpp_call_session_client_create_call (xmpp_call_session_client_t call_client)
{
    XmppCallSessionClient *xc = reinterpret_cast<XmppCallSessionClient *>(call_client);
    return (xmpp_call_t) xc->CreateCall();
}

void
xmpp_call_session_client_destroy_call (xmpp_call_session_client_t call_client,
                                       xmpp_call_t call)
{
    XmppCallSessionClient *xc = reinterpret_cast<XmppCallSessionClient *>(call_client);
    xc->DestroyCall(reinterpret_cast<XmppCall *>(call));
}
