/*
 * Tapioca XMPP Plugin
 * Copyright (c) 2005 INdT.
 * @author Andre Moreira Magalhaes <andre.magalhaes@indt.org.br> 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __XMPP_MESSAGE_C_H__
#define __XMPP_MESSAGE_C_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef void* xmpp_message_t;

const char *xmpp_message_get_id      (xmpp_message_t message);
const char *xmpp_message_get_from    (xmpp_message_t message);
const char *xmpp_message_get_to      (xmpp_message_t message);
const char *xmpp_message_get_type    (xmpp_message_t message);
const char *xmpp_message_get_subject (xmpp_message_t message);
const char *xmpp_message_get_body    (xmpp_message_t message);
const char *xmpp_message_get_thread  (xmpp_message_t message);

#ifdef __cplusplus
}
#endif

#endif
